udm:
  authdataManagement:
    display: "Authentication Data Management"
    mml:
      - operation: "dsp"
        object: "authdat"
        display: "Display Auth Data"
        params:
          - name: "imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "IMSI"
            comment: ""
      - operation: "add"
        object: "authdat"
        display: "Add Auth Data"
        params:
          - name: "imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "IMSI"
            comment: ""
          - name: "ki"
            type: "string"
            optional: "false"
            filter: ""
            display: "KI"
            comment: ""
          - name: "amf"
            type: "string"
            optional: "false"
            filter: ""
            display: "AMF"
            comment: ""
          - name: "algo"
            type: "int"
            optional: "false"
            filter: "0~15"
            display: "Algo Index"
            comment: ""
          - name: "opc"
            type: "string"
            optional: "true"
            filter: ""
            display: "OPC"
            comment: ""
      - operation: "del"
        object: "authdat"
        display: "Delete Auth Data"
        params:
          - name: "imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "IMSI"
            comment: ""
      - operation: "baa"
        object: "authdat"
        display: "Batch Add Auth Data"
        params:
          - name: "start_imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "Starting IMSI"
            comment: ""
          - name: "sub_num"
            type: "int"
            optional: "false"
            filter: ""
            display: "Auth Data Number"
            comment: ""
          - name: "ki"
            type: "string"
            optional: "false"
            filter: ""
            display: "KI"
            comment: ""
          - name: "amf"
            type: "string"
            optional: "false"
            filter: ""
            display: "AMF"
            comment: ""
          - name: "algo"
            type: "int"
            optional: "false"
            filter: "0~15"
            display: "Algo Index"
            comment: ""
          - name: "opc"
            type: "string"
            optional: "true"
            filter: ""
            display: "OPC"
            comment: ""            
      - operation: "bde"
        object: "authdat"
        display: "Batch Delete Auth Data"
        params:
          - name: "start_imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "Starting IMSI"
            comment: ""
          - name: "sub_num"
            type: "int"
            optional: "false"
            filter: ""
            display: "Auth Data Number"
            comment: ""
      - operation: "import"
        object: "authdat"
        display: "Import Auth Data From File"
        params:
          - name: "path"
            type: "file"
            optional: "false"
            filter: ".txt"
            display: "Path File"
            comment: ""
      - operation: "export"
        object: "authdat"
        display: "Export Auth Data to File"
        params:
          - name: "path"
            type: "string"
            optional: "false"
            filter: ""
            display: "Path File"
            comment: ""            
  subscriberManagement:
    display: "Subcriber Management"
    mml:
      - operation: "dsp"
        object: "udmuser"
        display: "Display UDM Subscriber"
        params:
          - name: "imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "IMSI"
            comment: ""
      - operation: "add"
        object: "udmuser"
        display: "Add UDM Subscriber"
        params:
          - name: "imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "IMSI"
            comment: ""
          - name: "msisdn"
            type: "string"
            optional: "false"
            filter: ""
            display: "MSISDN"
            comment: ""
          - name: "ambr"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G UE AMBR"
            comment: ""
          - name: "nssai"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G SNSSAIs"
            comment: ""
          - name: "arfb"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G Forbidden Areas"
            comment: ""
          - name: "sar"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G Service Area Restriction"
            comment: ""
          - name: "rat"
            type: "string"
            optional: "true"
            filter: ""
            display: "RAT Type"
            comment: ""
          - name: "cn"
            type: "string"
            optional: "true"
            filter: ""
            display: "Core Network"
            comment: ""
          - name: "smf_sel"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G SMF Selection Data"
            comment: ""
          - name: "sm_data"
            type: "string"
            optional: "false"
            filter: ""
            display: "5G SM Data"
            comment: ""
          - name: "static_ip"
            type: "string"
            optional: "true"
            filter: ""
            display: "4G Static IP"
            comment: "Specify mobile phone static IP address, and '-' indicates the use of dynamic IP address"            
          - name: "context_id"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G Context ID"
            comment: ""    
          - name: "apn_context"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G APN Context"
            comment: ""   
          - name: "epstpl"
            type: "string"
            optional: "true"
            filter: ""
            display: "4G EPS User Template Name"
            comment: ""  
          - name: "eps_flag"
            type: "enum"
            optional: "true"
            filter: "{\"0\":\"Disable\", \"1\":\"Enable\"}"
            display: "4G EPS Flag"
            comment: "" 
          - name: "eps_odb"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G EPS ODB"
            comment: "" 
          - name: "hplmn_odb"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G HPLMN ODB"
            comment: "" 
          - name: "ard"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G Access Restriction Data"
            comment: ""
      - operation: "del"
        object: "udmuser"
        display: "Delete Subscriber Data"
        params:
          - name: "imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "IMSI"
            comment: ""
      - operation: "mod"
        object: "udmuser"
        display: "Modify Subscriber Data"
        params:
          - name: "imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "IMSI"
            comment: ""
          - name: "msisdn"
            type: "string"
            optional: "true"
            filter: ""
            display: "MSISDN"
            comment: ""
          - name: "ambr"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G UE AMBR"
            comment: ""
          - name: "nssai"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G SNSSAIs"
            comment: ""
          - name: "arfb"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G Forbidden Areas"
            comment: ""
          - name: "sar"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G Service Area Restriction"
            comment: ""
          - name: "rat"
            type: "string"
            optional: "true"
            filter: ""
            display: "RAT Type"
            comment: ""
          - name: "cn"
            type: "string"
            optional: "true"
            filter: ""
            display: "Core Network"
            comment: ""
          - name: "smf_sel"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G SMF Selection Data"
            comment: ""
          - name: "sm_data"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G SM Data"
            comment: ""
          - name: "static_ip"
            type: "string"
            optional: "true"
            filter: ""
            display: "4G Static IP"
            comment: "Specify mobile phone static IP address, and '-' indicates the use of dynamic IP address"            
          - name: "context_id"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G Context ID"
            comment: ""    
          - name: "apn_context"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G APN Context"
            comment: ""   
          - name: "epstpl"
            type: "string"
            optional: "true"
            filter: ""
            display: "4G EPS User Template Name"
            comment: ""  
          - name: "eps_flag"
            type: "enum"
            optional: "true"
            filter: "{\"0\":\"Disable\", \"1\":\"Enable\"}"
            display: "4G EPS Flag"
            comment: "" 
          - name: "eps_odb"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G EPS ODB"
            comment: "" 
          - name: "hplmn_odb"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G HPLMN ODB"
            comment: "" 
          - name: "ard"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G Access Restriction Data"
            comment: ""
      - operation: "baa"
        object: "udmuser"
        display: "Batch Add UDM Subscriber"
        params:
          - name: "start_imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "Starting IMSI"
            comment: ""
          - name: "start_msisdn"
            type: "string"
            optional: "false"
            filter: ""
            display: "Starting MSISDN"
            comment: ""
          - name: "sub_num"
            type: "int"
            optional: "false"
            filter: ""
            display: "Subscriber Number"
            comment: ""
          - name: "ambr"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G UE AMBR"
            comment: ""
          - name: "nssai"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G SNSSAIs"
            comment: ""
          - name: "arfb"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G Forbidden Areas"
            comment: ""
          - name: "sar"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G Service Area Restriction"
            comment: ""
          - name: "rat"
            type: "string"
            optional: "true"
            filter: ""
            display: "RAT Type"
            comment: ""
          - name: "cn"
            type: "string"
            optional: "true"
            filter: ""
            display: "Core Network"
            comment: ""
          - name: "smf_sel"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G SMF Selection Data"
            comment: ""
          - name: "sm_data"
            type: "string"
            optional: "false"
            filter: ""
            display: "5G SM Data"
            comment: ""
          - name: "static_ip"
            type: "string"
            optional: "true"
            filter: ""
            display: "4G Static IP"
            comment: "Specify mobile phone static IP address, and '-' indicates the use of dynamic IP address"            
          - name: "context_id"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G Context ID"
            comment: ""    
          - name: "apn_context"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G APN Context"
            comment: ""   
          - name: "epstpl"
            type: "string"
            optional: "true"
            filter: ""
            display: "4G EPS User Template Name"
            comment: ""  
          - name: "eps_flag"
            type: "enum"
            optional: "true"
            filter: "{\"0\":\"Disable\", \"1\":\"Enable\"}"
            display: "4G EPS Flag"
            comment: "" 
          - name: "eps_odb"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G EPS ODB"
            comment: "" 
          - name: "hplmn_odb"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G HPLMN ODB"
            comment: "" 
          - name: "ard"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G Access Restriction Data"
            comment: ""
      - operation: "bde"
        object: "udmuser"
        display: "Batch Delete Subscriber Data"
        params:
          - name: "start_imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "Starting IMSI"
            comment: ""
          - name: "sub_num"
            type: "string"
            optional: "false"
            filter: ""
            display: "Subcribers Number"
            comment: ""
      - operation: "bmd"
        object: "udmuser"
        display: "Batch Modify Subscriber Data"
        params:
          - name: "start_imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "Starting IMSI"
            comment: ""
          - name: "sub_num"
            type: "string"
            optional: "false"
            filter: ""
            display: "Subcribers Number"
            comment: ""
          - name: "ambr"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G UE AMBR"
            comment: ""
          - name: "nssai"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G SNSSAIs"
            comment: ""
          - name: "arfb"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G Forbidden Areas"
            comment: ""
          - name: "sar"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G Service Area Restriction"
            comment: ""
          - name: "rat"
            type: "string"
            optional: "true"
            filter: ""
            display: "RAT Type"
            comment: ""
          - name: "cn"
            type: "string"
            optional: "true"
            filter: ""
            display: "Core Network"
            comment: ""
          - name: "smf_sel"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G SMF Selection Data"
            comment: ""
          - name: "sm_data"
            type: "string"
            optional: "true"
            filter: ""
            display: "5G SM Data"
            comment: ""
          - name: "static_ip"
            type: "string"
            optional: "true"
            filter: ""
            display: "4G Static IP"
            comment: "Specify mobile phone static IP address, and '-' indicates the use of dynamic IP address"                       
          - name: "context_id"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G Context ID"
            comment: ""    
          - name: "apn_context"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G APN Context"
            comment: ""   
          - name: "epstpl"
            type: "string"
            optional: "true"
            filter: ""
            display: "4G EPS User Template Name"
            comment: ""  
          - name: "eps_flag"
            type: "enum"
            optional: "true"
            filter: "{\"0\":\"Disable\", \"1\":\"Enable\"}"
            display: "4G EPS Flag"
            comment: "" 
          - name: "eps_odb"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G EPS ODB"
            comment: "" 
          - name: "hplmn_odb"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G HPLMN ODB"
            comment: "" 
          - name: "ard"
            type: "int"
            optional: "true"
            filter: ""
            display: "4G Access Restriction Data"
            comment: ""
      - operation: "import"
        object: "udmuser"
        display: "Import Subscriber Data From File"
        params:
          - name: "path"
            type: "file"
            optional: "false"
            filter: ".txt"
            display: "Path File"
            comment: ""
      - operation: "upload"
        object: "udmuser"
        display: "Upload Subscriber Data"
        status: "Inactive"
        params:
          - name: "path"
            type: "file"
            optional: "false"
            filter: ".txt"
            display: "Path File"
            comment: ""
      - operation: "export"
        object: "udmuser"
        display: "Export Subscriber Data to File"
        params:
          - name: "path"
            type: "string"
            optional: "false"
            filter: ""
            display: "Path File"
            comment: ""               
      - operation: "sync"
        object: "start"
        display: "Sync UDM Data From Public UDM"
        params:
      - operation: "sync"
        object: "state"
        display: "Query State of Sync Task"
        params:



